InboxIssue

API Reference

InboxIssue REST API documentation

API Reference

Programmatically test email deliverability with the InboxIssue API.

API access is available on Pro and Enterprise plans.

API Endpoints

InboxIssue provides two APIs for different use cases:

Which API Should I Use?

Use CaseRecommended API
Running tests from your own applicationSpam Tests API
Viewing results on shareable reportsSpam Tests API
CI/CD pipeline integrationSpam Tests API
Third-party app integration (DMARC Reporter, etc.)External Tests API
Real-time webhook notificationsExternal Tests API
White-label integrationsExternal Tests API

Reference

Base URL

https://app.inboxissue.com/api/v1

Quick Example

curl -X POST "https://app.inboxissue.com/api/v1/spam_tests" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"spam_test": {"name": "My Test"}}'

On this page